Board index FlightGear Release candidates 2.10

FG 2.10.0 prerelease for Mac won't start

This is the archive of topics about the 2.10 release candidates.

FG 2.10.0 prerelease for Mac won't start

Postby fmg » Fri Jan 18, 2013 9:46 pm

Hello,

just try to test the prerelease of the Mac version. Unfortunately not even the launcher did start on my machine.

Specs: MacPro 3.2 GHz QuadCore, OSX 10.6.8.

This is what the console is telling:

Jan 18 22:29:11 hsi-kbw-078-042-080-071 com.apple.backupd[380]: Waiting for index to be ready (101)
Jan 18 22:29:33 hsi-kbw-078-042-080-071 FlightGear[438]: *** __NSAutoreleaseNoPool(): Object 0x106720fe0 of class NSThread autoreleased with no pool in place - just leaking
Jan 18 22:29:34 hsi-kbw-078-042-080-071 FlightGear[438]: FavoriteOptions#awakeFromNib: OSX::OCDataConvException: Cannot register the given selector 'applicationWillTerminate:' as an informal protocol method of type 'v24@0:8@16', because another informal protocol method is already registered with the same signature (but with another type, 'v12@0:4@8'. Please rename your selector.
Jan 18 22:29:34 hsi-kbw-078-042-080-071 [0x0-0x32032].org.flightgear.FlightGear[438]: /System/Library/Frameworks/RubyCocoa.framework/Resources/ruby/osx/objc/oc_wrapper.rb:50:in `ocm_send'
Jan 18 22:29:34 hsi-kbw-078-042-080-071 [0x0-0x32032].org.flightgear.FlightGear[438]: /System/Library/Frameworks/RubyCocoa.framework/Resources/ruby/osx/objc/oc_wrapper.rb:50:in `method_missing'
Jan 18 22:29:34 hsi-kbw-078-042-080-071 [0x0-0x32032].org.flightgear.FlightGear[438]: /Volumes/RAID-System/FlightGear/Programm/FlightGear 2.10.0/FlightGear.app/Contents/Resources/SearchableOptions.rb:41:in `awakeFromNib'
Jan 18 22:29:34 hsi-kbw-078-042-080-071 [0x0-0x32032].org.flightgear.FlightGear[438]: /Volumes/RAID-System/FlightGear/Programm/FlightGear 2.10.0/FlightGear.app/Contents/Resources/SearchableOptions.rb:40:in `each'
Jan 18 22:29:34 hsi-kbw-078-042-080-071 [0x0-0x32032].org.flightgear.FlightGear[438]: /Volumes/RAID-System/FlightGear/Programm/FlightGear 2.10.0/FlightGear.app/Contents/Resources/SearchableOptions.rb:40:in `awakeFromNib'
Jan 18 22:29:34 hsi-kbw-078-042-080-071 [0x0-0x32032].org.flightgear.FlightGear[438]: /Volumes/RAID-System/FlightGear/Programm/FlightGear 2.10.0/FlightGear.app/Contents/Resources/FavoriteOptions.rb:39:in `awakeFromNib'
Jan 18 22:29:34 hsi-kbw-078-042-080-071 [0x0-0x32032].org.flightgear.FlightGear[438]: /Volumes/RAID-System/FlightGear/Programm/FlightGear 2.10.0/FlightGear.app/Contents/Resources/rb_main.rb:38:in `NSApplicationMain'
Jan 18 22:29:34 hsi-kbw-078-042-080-071 [0x0-0x32032].org.flightgear.FlightGear[438]: /Volumes/RAID-System/FlightGear/Programm/FlightGear 2.10.0/FlightGear.app/Contents/Resources/rb_main.rb:38
Jan 18 22:29:34 hsi-kbw-078-042-080-071 [0x0-0x32032].org.flightgear.FlightGear[438]: /System/Library/Frameworks/RubyCocoa.framework/Resources/ruby/osx/objc/oc_wrapper.rb:50:in `ocm_send': Cannot register the given selector 'applicationWillTerminate:' as an informal protocol method of type 'v24@0:8@16', because another informal protocol method is already registered with the same signature (but with another type, 'v12@0:4@8'. Please rename your selector. (OSX::OCDataConvException)
Jan 18 22:29:34 hsi-kbw-078-042-080-071 [0x0-0x32032].org.flightgear.FlightGear[438]: from /System/Library/Frameworks/RubyCocoa.framework/Resources/ruby/osx/objc/oc_wrapper.rb:50:in `method_missing'
Jan 18 22:29:34 hsi-kbw-078-042-080-071 [0x0-0x32032].org.flightgear.FlightGear[438]: from /Volumes/RAID-System/FlightGear/Programm/FlightGear 2.10.0/FlightGear.app/Contents/Resources/SearchableOptions.rb:41:in `awakeFromNib'
Jan 18 22:29:34 hsi-kbw-078-042-080-071 [0x0-0x32032].org.flightgear.FlightGear[438]: from /Volumes/RAID-System/FlightGear/Programm/FlightGear 2.10.0/FlightGear.app/Contents/Resources/SearchableOptions.rb:40:in `each'
Jan 18 22:29:34 hsi-kbw-078-042-080-071 [0x0-0x32032].org.flightgear.FlightGear[438]: from /Volumes/RAID-System/FlightGear/Programm/FlightGear 2.10.0/FlightGear.app/Contents/Resources/SearchableOptions.rb:40:in `awakeFromNib'
Jan 18 22:29:34 hsi-kbw-078-042-080-071 [0x0-0x32032].org.flightgear.FlightGear[438]: from /Volumes/RAID-System/FlightGear/Programm/FlightGear 2.10.0/FlightGear.app/Contents/Resources/FavoriteOptions.rb:39:in `awakeFromNib'
Jan 18 22:29:34 hsi-kbw-078-042-080-071 [0x0-0x32032].org.flightgear.FlightGear[438]: from /Volumes/RAID-System/FlightGear/Programm/FlightGear 2.10.0/FlightGear.app/Contents/Resources/rb_main.rb:38:in `NSApplicationMain'
Jan 18 22:29:34 hsi-kbw-078-042-080-071 [0x0-0x32032].org.flightgear.FlightGear[438]: from /Volumes/RAID-System/FlightGear/Programm/FlightGear 2.10.0/FlightGear.app/Contents/Resources/rb_main.rb:38
Jan 18 22:29:34 hsi-kbw-078-042-080-071 com.apple.launchd.peruser.501[233] ([0x0-0x32032].org.flightgear.FlightGear[438]): Exited with exit code: 1

Are there others with a similar experience?

f-(
User avatar
fmg
 
Posts: 541
Joined: Tue Jun 29, 2010 5:13 pm
Location: EDDI
Callsign: fotomas
Version: 2
OS: Mac OS X 10.6.8

Re: FG 2.10.0 prerelease for Mac won't start

Postby tk_jkg » Sat Jan 19, 2013 3:12 pm

I would like to test. Where can i download?
tk_jkg
 
Posts: 74
Joined: Sun Feb 19, 2012 1:48 pm
Location: Sweden
Callsign: SE-ToM
Version: 2.12.1
OS: Mac OS X

Re: FG 2.10.0 prerelease for Mac won't start

Postby fmg » Sat Jan 19, 2013 4:07 pm

tk_jkg wrote in Sat Jan 19, 2013 3:12 pm:I would like to test. Where can i download?

I got it here:
http://flightgear.simpits.org:8080/view/Mac/job/Mac-release/
User avatar
fmg
 
Posts: 541
Joined: Tue Jun 29, 2010 5:13 pm
Location: EDDI
Callsign: fotomas
Version: 2
OS: Mac OS X 10.6.8

Re: FG 2.10.0 prerelease for Mac won't start

Postby someguy » Sat Jan 19, 2013 5:03 pm

You're not trying to run it in 32-bit mode, are you? That apparently is no longer supported.
User avatar
someguy
 
Posts: 1653
Joined: Tue Nov 25, 2008 5:54 am
Location: USA
Version: 2016.2.1
OS: Mac OS X 10.11

Re: FG 2.10.0 prerelease for Mac won't start

Postby fmg » Sat Jan 19, 2013 11:50 pm

someguy wrote in Sat Jan 19, 2013 5:03 pm:You're not trying to run it in 32-bit mode, are you? That apparently is no longer supported.


I can't tell because not even the laucher started. Since FG 2.8 you can't choose any more IIRC. Don't know how 2.10 looks like. Where to choose this without the launcher?
User avatar
fmg
 
Posts: 541
Joined: Tue Jun 29, 2010 5:13 pm
Location: EDDI
Callsign: fotomas
Version: 2
OS: Mac OS X 10.6.8

Re: FG 2.10.0 prerelease for Mac won't start

Postby Philosopher » Sun Jan 20, 2013 12:54 am

You could try starting it manually from the commandline... (cd into FlightGear's resources directory and run ./fgfs.sh <fill in your options here> Note that you still have to look in your log file!)
Thanks,
Philosopher
(inactive but lurking occasionally...)
Philosopher
 
Posts: 1590
Joined: Sun Aug 12, 2012 6:29 pm
Location: Stuck in my head...
Callsign: AFTI
Version: Git
OS: Mac OS X 10.7.5

Re: FG 2.10.0 prerelease for Mac won't start

Postby fmg » Sun Jan 20, 2013 6:20 am

Hello guys,

Sounds like it is running well on your machines?

Philosopher wrote in Sun Jan 20, 2013 12:54 am:You could try starting it manually from the commandline... (cd into FlightGear's resources directory and run ./fgfs.sh <fill in your options here> Note that you still have to look in your log file!)

Tried this. Nothing happened again and this is what I got in the console:

Jan 20 06:52:02 xxx FlightGear[329]: *** __NSAutoreleaseNoPool(): Object 0x5c0c350 of class NSThread autoreleased with no pool in place - just leaking
Jan 20 06:53:39 xxx /System/Library/CoreServices/CCacheServer.app/Contents/MacOS/CCacheServer[286]: No valid tickets, timing out

But anyway: if this is the intended way to use it, I think I will prefer to stay with the old version again.

f-/
User avatar
fmg
 
Posts: 541
Joined: Tue Jun 29, 2010 5:13 pm
Location: EDDI
Callsign: fotomas
Version: 2
OS: Mac OS X 10.6.8

Re: FG 2.10.0 prerelease for Mac won't start

Postby zakalawe » Sun Jan 20, 2013 12:18 pm

Suspect this is a 10.6 issues, I'm unfortunately away from my 10.6 box this week, so please be patient.
zakalawe
 
Posts: 1152
Joined: Sat Jul 19, 2008 4:48 pm
Location: Edinburgh, Scotland
Callsign: G-ZKLW
Version: next
OS: Mac

Re: FG 2.10.0 prerelease for Mac won't start

Postby VicMar » Mon Jan 21, 2013 10:43 am

@ zakalawe,

Is the new version built on to the previous version, or is it built from scratch?

The reason I ask is that some of us, using 10.6.8, never got a fully working version of 2.8.

Vic
Time flies like an arrow
Fruit flies like a banana
User avatar
VicMar
 
Posts: 2056
Joined: Sun Apr 06, 2008 5:53 pm
Location: Lancing. UK (EGKA)
Callsign: VicMar
Version: 2018.3.1
OS: OS X 10.12.6

Re: FG 2.10.0 prerelease for Mac won't start

Postby tk_jkg » Mon Jan 21, 2013 11:18 am

Testing on my iMac with Mac OS X 10.8.2
(removed all erlier prefs and files and so...)

FG launcher starts and when clicking on "Start Flight" nothing happens.
Is it not supposed to be called 2.9?

Code: Select all
Maskinvaruöversikt:

  Modellnamn:   iMac
  Modellidentifierare:   iMac9,1
  Processornamn:   Intel Core 2 Duo
  Processorhastighet:   3,06 GHz
  Antal processorer:   1
  Totalt antal kärnor:   2
  L2-cache:   6 MB
  Minne:   4 GB
  Busshastighet:   1,07 GHz
  Boot ROM-version:   IM91.008D.B08
  SMC-version (system):   1.45f0
  Serienummer (system):   VM946UYU250
  Maskinvaru-UUID:   41F17A0D-47FC-5F2E-A073-70579AC70BD6
tk_jkg
 
Posts: 74
Joined: Sun Feb 19, 2012 1:48 pm
Location: Sweden
Callsign: SE-ToM
Version: 2.12.1
OS: Mac OS X

Re: FG 2.10.0 prerelease for Mac won't start

Postby zakalawe » Tue Jan 29, 2013 9:08 am

Okay, there's a new 2.10 candidate on Jenkins - with many tweaks to the launcher. In particular it works fine on my 10.6.8 machine, at least as far as I can test over VNC - I could start the engine on the C172 at KSFO.

The default shader preference is now level 1 which should help some people, though of course that value is autosaved so if you've previously run FlightGear you will get your saved value.

FGCom is /almost/ working in this build - you shouldn't need to move the binary any longer. The remaining issue is that FGCom starts at the same time as FlightGear, but this means communicate doesn't work, at least for me. I need to delay when FGCom starts until after FG is running, but I didn't decide how to do that yet - since the amount of time to start is highly variable and not reported anywhere.
zakalawe
 
Posts: 1152
Joined: Sat Jul 19, 2008 4:48 pm
Location: Edinburgh, Scotland
Callsign: G-ZKLW
Version: next
OS: Mac

Re: FG 2.10.0 prerelease for Mac won't start

Postby VicMar » Tue Jan 29, 2013 9:23 am

Can we have a download link please?

Vic
Time flies like an arrow
Fruit flies like a banana
User avatar
VicMar
 
Posts: 2056
Joined: Sun Apr 06, 2008 5:53 pm
Location: Lancing. UK (EGKA)
Callsign: VicMar
Version: 2018.3.1
OS: OS X 10.12.6

Re: FG 2.10.0 prerelease for Mac won't start

Postby Gijs » Tue Jan 29, 2013 10:24 am

Airports: EHAM, EHLE, KSFO
Aircraft: 747-400
User avatar
Gijs
Moderator
 
Posts: 9364
Joined: Tue Jul 03, 2007 2:55 pm
Location: Amsterdam/Delft, the Netherlands
Callsign: PH-GYS
Version: Git
OS: Windows 10

Re: FG 2.10.0 prerelease for Mac won't start

Postby VicMar » Tue Jan 29, 2013 10:44 am

Thanks Gijs.

Vic
Time flies like an arrow
Fruit flies like a banana
User avatar
VicMar
 
Posts: 2056
Joined: Sun Apr 06, 2008 5:53 pm
Location: Lancing. UK (EGKA)
Callsign: VicMar
Version: 2018.3.1
OS: OS X 10.12.6

Re: FG 2.10.0 prerelease for Mac won't start

Postby zakalawe » Tue Jan 29, 2013 11:16 am

The download link doesn't change, that's why I didn't bother to post it :)
zakalawe
 
Posts: 1152
Joined: Sat Jul 19, 2008 4:48 pm
Location: Edinburgh, Scotland
Callsign: G-ZKLW
Version: next
OS: Mac

Next

Return to 2.10

Who is online

Users browsing this forum: No registered users and 1 guest